commoble.bagofyurting.storage

## Class DataIdNBTHelper

- java.lang.Object
- - commoble.bagofyurting.storage.DataIdNBTHelper

    public class DataIdNBTHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DataIdNBTHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `contains(net.minecraft.nbt.CompoundNBT nbt)`
`static java.lang.String` `generate(net.minecraft.server.MinecraftServer server)`
`static java.lang.String` `get(net.minecraft.nbt.CompoundNBT nbt)`
`static java.lang.String` `remove(net.minecraft.nbt.CompoundNBT nbt)`
`static void` `set(net.minecraft.nbt.CompoundNBT nbt, java.lang.String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataIdNBTHelper

    public DataIdNBTHelper()

### Method Detail

#### contains

    public static boolean contains(@Nonnull
                                   net.minecraft.nbt.CompoundNBT nbt)

#### get

    @Nonnull
    public static java.lang.String get(@Nonnull
                                                 net.minecraft.nbt.CompoundNBT nbt)

#### set

    public static void set(@Nonnull
                           net.minecraft.nbt.CompoundNBT nbt,
                           @Nonnull
                           java.lang.String id)

#### remove

    @Nullable
    public static java.lang.String remove(@Nonnull
                                                     net.minecraft.nbt.CompoundNBT nbt)

#### generate

    @Nonnull
    public static java.lang.String generate(net.minecraft.server.MinecraftServer server)